<?php
$message 	 	= array();
$Act         	= isset($_REQUEST['Act']) ? $_REQUEST['Act'] : '';
$po_id         	= isset($_REQUEST['po_id']) ? $_REQUEST['po_id'] : '';
$po_no   		= isset($_REQUEST['po_no']) ? $_REQUEST['po_no'] : get_pono('Purchasing');
$po_date   		= isset($_REQUEST['po_date']) ? $_REQUEST['po_date'] : '';
$po_currency    = isset($_REQUEST['po_currency']) ? $_REQUEST['po_currency'] : '';
$po_deldate 	= isset($_REQUEST['po_deldate']) ? $_REQUEST['po_deldate'] : '';
$po_ptype 		= isset($_REQUEST['po_ptype']) ? $_REQUEST['po_ptype'] : '';
$po_pic 		= isset($_REQUEST['po_pic']) ? $_REQUEST['po_pic'] : '';
$po_desc 		= isset($_REQUEST['po_desc']) ? $_REQUEST['po_desc'] : '';
$sup_id 		= isset($_REQUEST['sup_id']) ? $_REQUEST['sup_id'] : '';
$sup_name 		= isset($_REQUEST['sup_name']) ? $_REQUEST['sup_name'] : '';
$po_duedate 	= isset($_REQUEST['po_duedate']) ? $_REQUEST['po_duedate'] : '';
$po_shipto 		= isset($_REQUEST['po_shipto']) ? $_REQUEST['po_shipto'] : '';
$po_subtotal 	= isset($_REQUEST['po_subtotal']) ? $_REQUEST['po_subtotal'] : 0;
$po_discount	= isset($_REQUEST['po_discount']) ? $_REQUEST['po_discount'] : 0;
$po_ppn 		= isset($_REQUEST['po_ppn']) ? $_REQUEST['po_ppn'] : '';
$po_totalppn	= isset($_REQUEST['po_totalppn']) ? $_REQUEST['po_totalppn'] : 0;
$po_downpayment = isset($_REQUEST['po_downpayment']) ? $_REQUEST['po_downpayment'] : 0;
$po_grandtotal 	= isset($_REQUEST['po_grandtotal']) ? $_REQUEST['po_grandtotal'] : 0;
$po_terbilang   = isset($_REQUEST['po_terbilang']) ? $_REQUEST['po_terbilang'] : '';
$po_style	    = isset($_REQUEST['po_style']) ? $_REQUEST['po_style'] : '';
$po_type	    = isset($_REQUEST['po_type']) ? $_REQUEST['po_type'] : '';
$cust_id 		= isset($_REQUEST['cust_id']) ? $_REQUEST['cust_id'] : '';
$cust_name 		= isset($_REQUEST['cust_name']) ? $_REQUEST['cust_name'] : '';

$po_revisi 			= isset($_REQUEST['po_revisi']) ? $_REQUEST['po_revisi'] : '';
$po_requisitioner 	= isset($_REQUEST['po_requisitioner']) ? $_REQUEST['po_requisitioner'] : '';
$po_ship_via 		= isset($_REQUEST['po_ship_via']) ? $_REQUEST['po_ship_via'] : '';
$po_fob 			= isset($_REQUEST['po_fob']) ? $_REQUEST['po_fob'] : '';
$po_ship_terms 		= isset($_REQUEST['po_ship_terms']) ? $_REQUEST['po_ship_terms'] : '';
$po_dept			= isset($_REQUEST['po_dept']) ? $_REQUEST['po_dept'] : '';
$po_kurs			= isset($_REQUEST['po_kurs']) ? $_REQUEST['po_kurs'] : '';

#Detail
$Act_Det       	= isset($_REQUEST['Act_Det']) ? $_REQUEST['Act_Det'] : '';
$id_deth       	= isset($_REQUEST['id_deth']) ? $_REQUEST['id_deth'] : '';
$id_det       	= isset($_REQUEST['id_det']) ? $_REQUEST['id_det'] : '';
$pod_prodid    	= isset($_REQUEST['prodid']) ? $_REQUEST['prodid'] : '';
$pod_qty   		= isset($_REQUEST['podqty']) ? $_REQUEST['podqty'] : '';
$pod_price 		= isset($_REQUEST['podprice']) ? $_REQUEST['podprice'] : '';
$poddiscount 	= isset($_REQUEST['poddiscount']) ? $_REQUEST['poddiscount'] : '';
$poddesc	 	= isset($_REQUEST['poddesc']) ? $_REQUEST['poddesc'] : '';
$pod_amount 	= $pod_qty * $pod_price;
if($Act =="SAVE"){
	if(count($message)==0){	
		if(empty($po_id)){
			$qrySave=mysql_query("INSERT INTO purchase_order SET po_no='$po_no', po_date='$po_date', po_currency='$po_currency', po_style='$po_style', po_type='Purchasing', po_idcust='$cust_id',
							  po_deldate='$po_deldate', po_ptype='$po_ptype', po_pic='$po_pic', po_desc='$po_desc', po_idsupp='$sup_id', po_duedate='$po_duedate', po_shipto='$po_shipto',
							  po_discount='$po_discount', po_subtotal='$po_subtotal', po_terbilang='$po_terbilang', po_downpayment='$po_downpayment', po_ppn='$po_ppn',  
							  po_grandtotal='$po_grandtotal', po_inputdate='$datetime', po_totalppn='$po_totalppn', po_status=20, po_inputby='$user_id', 
							  po_revisi='$po_revisi', po_requisitioner='$po_requisitioner', po_ship_via='$po_ship_via', po_fob='$po_fob', po_ship_terms='$po_ship_terms',
							  po_dept='$po_dept',po_kurs='$po_kurs'") 
							  or die ("Gagal query".mysql_error());
			if($qrySave){
				$query = mysql_query("SELECT * FROM purchase_order_temp WHERE pod_inputby='$user_id' AND pod_status=10");
				while($dt=mysql_fetch_object($query)){
					mysql_query("INSERT INTO purchase_order_detail SET po_no='$po_no', pod_prodid='$dt->pod_prodid', 
								 pod_qty='$dt->pod_qty', pod_price='$dt->pod_price', pod_amount='$dt->pod_amount', 
								 pod_discount='$dt->pod_discount', pod_inputdate='$datetime', pod_status=10, pod_inputby='$user_id', pod_desc='$dt->pod_desc' ");
				}
				mysql_query("DELETE FROM purchase_order_temp WHERE pod_inputby='$user_id'");
			}	
			#Insert History User
			mysql_query("INSERT INTO user_activity SET user_id='$user_id', user_act='Menambahkan data purchase order No. $po_no', user_date='$date', 
						user_time='$time'");
						  
		}elseif(!empty($po_id) && ($Act_Det <> "ADD_DET")){
			$qrySave=mysql_query("UPDATE purchase_order SET po_no='$po_no', po_date='$po_date', po_currency='$po_currency', po_deldate='$po_deldate', po_ptype='$po_ptype', po_idcust='$cust_id',
					 po_pic='$po_pic', po_downpayment='$po_downpayment', po_duedate='$po_duedate', po_shipto='$po_shipto', po_desc='$po_desc', po_idsupp='$sup_id', po_ppn='$po_ppn',  po_style='$po_style',
					 po_grandtotal='$po_grandtotal', po_discount='$po_discount', po_terbilang='$po_terbilang', po_subtotal='$po_subtotal', po_totalppn='$po_totalppn',po_status=20, po_revisi='$po_revisi', 
					 po_requisitioner='$po_requisitioner', po_ship_via='$po_ship_via', po_fob='$po_fob', po_ship_terms='$po_ship_terms', po_dept='$po_dept', po_kurs='$po_kurs' WHERE id='$po_id'") or die ("Gagal query".mysql_error());
			if($qrySave){
			#Update Detail
				/*foreach($id_det as $i => $id){
					$pod_qty	= $_REQUEST['pod_qty'][$id];
					$pod_price	= $_REQUEST['pod_price'][$id];
					$pod_amount = $pod_qty * $pod_price;
					mysql_query("UPDATE purchase_order_detail SET pod_qty='$pod_qty', pod_price='$pod_price', pod_amount='$pod_amount', pod_discount='$pod_discount' WHERE id='$id' ");
				}*/	
				#Insert History User
				$itemp = mysql_query("INSERT INTO user_activity SET user_id='$user_id', user_act='Mengubah data purchase order No. $po_no', user_date='$date', 
				user_time='$time'");
			}							  
		}				
		if($qrySave){
			$message[] = "Data Sukses tersimpan";	
			$status = "OK";
			
		}
	}
}	
if($Act =="DETAIL"){
	$dd=mysql_fetch_array(mysql_query("SELECT a.*,b.sup_name, c.cust_name FROM purchase_order a 
	LEFT JOIN supplier b ON b.id=a.po_idsupp
    LEFT JOIN customer c ON c.id=a.po_idcust
	WHERE a.id='$po_id'"));
	$po_id 				= $dd['id'];			
	$po_no				= $dd['po_no'];
	$po_date			= $dd['po_date'];
	$sup_id				= $dd['po_idsupp'];
	$sup_name			= $dd['sup_name'];
	$po_deldate			= $dd['po_deldate'];
	$po_ptype   		= $dd['po_ptype'];
	$po_pic	    		= $dd['po_pic'];
	$po_currency		= $dd['po_currency'];
	$po_desc			= $dd['po_desc'];
	$po_shipto			= $dd['po_shipto'];
	$po_duedate			= $dd['po_duedate'];
	$po_ppn 			= $dd['po_ppn'];
	$po_totalppn		= $dd['po_totalppn'];
	$po_downpayment 	= $dd['po_downpayment'];
	$po_grandtotal 		= $dd['po_grandtotal'];
	$po_terbilang   	= $dd['po_terbilang'];
	$po_style			= $dd['po_style'];
	$po_type			= $dd['po_type'];
	$cust_id			= $dd['po_idcust'];
	$cust_name			= $dd['cust_name'];
	$po_revisi 			= $dd['po_revisi'];
	$po_requisitioner 	= $dd['po_requisitioner'];
	$po_ship_via 		= $dd['po_ship_via'];
	$po_fob 			= $dd['po_fob'];
	$po_ship_terms 		= $dd['po_ship_terms'];
	$po_dept			= $dd['po_dept'];
	$po_kurs			= $dd['po_kurs'];
}
if($Act == "DELETE"){
	$qd = mysql_query("UPDATE purchase_order SET po_status=100 WHERE id='$po_id'");
	if($qd){
		mysql_query("UPDATE purchase_order_detail SET pod_status=100 WHERE po_no='$po_no'");
		#Insert History User
		mysql_query("INSERT INTO user_activity SET user_id='$user_id', user_act='Menghapus data purchase order No. $po_no', user_date='$date',
					user_time='$time'");
		$message[] = "Data Sukses terhapus !";	
		$status = "OK";
	}
}
if($Act == "POSTING"){
	#Update status menjadi posting
	mysql_query("UPDATE purchase_order SET po_status=20 WHERE id='$po_id'");
	#Insert History User
	mysql_query("INSERT INTO user_activity SET user_id='$user_id', user_act='Posting transaksi purchase order No. $po_no', user_date='$date', user_time='$time'");
	$message[] = "Data Sukses diposting !";	
	$status = "OK";
}
if(($Act_Det == "ADD_DET") && (empty($po_id))){ 
	mysql_query("INSERT INTO purchase_order_temp SET pod_prodid='$pod_prodid', pod_qty='$pod_qty', pod_price='$pod_price', pod_amount='$pod_amount',pod_discount='$poddiscount', 
	pod_inputdate='$datetime', pod_status=10, pod_inputby='$user_id',  pod_desc='$poddesc'");
}elseif(($Act_Det == "ADD_DET") && (!empty($po_id))){
	mysql_query("INSERT INTO purchase_order_detail SET po_no='$po_no', pod_prodid='$pod_prodid', pod_qty='$pod_qty', pod_price='$pod_price', 
	pod_amount='$pod_amount', pod_discount='$poddiscount', pod_inputdate='$datetime', pod_status=10, pod_inputby='$user_id', pod_desc='$poddesc'");
}
if(($Act_Det == "DELETE_DET") && (empty($po_id))){
	mysql_query("DELETE FROM purchase_order_temp WHERE id='$id_deth'");
}elseif(($Act_Det == "DELETE_DET") && (!empty($po_id))){
	mysql_query("DELETE FROM purchase_order_detail WHERE id='$id_deth'");
}
if($Act=="ADD" || $Act=="DETAIL" || $Act_Det == "ADD_DET" || $Act_Det == "DELETE_DET" || $Act=="POTYPE" ){
	include "add_purchase_order.php";
}
if($Act=="CANCEL" || $Act=="CLOSE"){
	echo "<meta http-equiv='refresh' content='0; url=?page=Data-Purchase-Order'>";	
	exit;
}
#Messages
if (! count($message)==0 ){
	?>
		<script language="javascript">
			var pesan ='<?php 
							$Num=0;
							foreach ($message as $indeks=>$pesan_tampil) { 
								$Num++;
								echo $Num.'. '.$pesan_tampil.'\n';
							}
						?>';
			alert(pesan);
		</script>
	<?php  
	if ($status=="OK"){	
		echo "<meta http-equiv='refresh' content='0; url=?page=Data-Purchase-Order'>";	
		exit;
	}else{
		echo "<meta http-equiv='refresh' content='0; url=?page=Proses-Purchase-Order&Act=TEMP'>";
	}
}
?>